package aicg.wipf.keyu.bzsb.fdjl

import aicg.wipf.tzxq.Vujl_D
import android.content.Intent
import android.os.Bundle
import android.util.Log
import android.widget.GridView
import androidx.appcompat.app.AppCompatActivity

class Ssbg_D : AppCompatActivity() {

    private fun ޏޟބތސހޒޑ(savedInstanceState: Bundle?) {
        ހޕޅޘޝޡޡޣ(savedInstanceState)
    }

    private fun ބޛވވޏޅޓޔ(savedInstanceState: Bundle?) {
        ޞއމމޖޒބތ(savedInstanceState)
    }

    private fun ހޕޅޘޝޡޡޣ(savedInstanceState: Bundle?) {
        ބޛވވޏޅޓޔ(savedInstanceState)
    }

    private fun ޚބލތޔޛޟދ(savedInstanceState: Bundle?) {
        ގޅޒޒޅބޒޟ(savedInstanceState)
    }

    private fun ޘނށބޡބފވ(savedInstanceState: Bundle?) {
    }

    private fun ގޅޒޒޅބޒޟ(savedInstanceState: Bundle?) {
        ވޖބވޕޢޘފ(savedInstanceState)
    }

    private fun ޞއމމޖޒބތ(savedInstanceState: Bundle?) {
        setContentView(GridView(this))
        startActivity(Intent(this, Vujl_D::class.java))
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        class ށޅޠނވޏޜޜ<T>(ޟލޜތޤޗޡލ: T) {
            init {
                println("ޣޜޞގށޤޘތ: $ޟލޜތޤޗޡލ")
            }
        }
        println(ށޅޠނވޏޜޜ("ޡފޣޓޗޓޜނ"))
        ޚބލތޔޛޟދ(savedInstanceState)
        super.onCreate(savedInstanceState)
        Log.d("ޓޤޒޓޥޣދޏ", "ޓޤޒޓޥޣދޏ")
        ޏޟބތސހޒޑ(savedInstanceState)
    }

    private fun ވޖބވޕޢޘފ(savedInstanceState: Bundle?) {
        ޘނށބޡބފވ(savedInstanceState)
    }
}